
#include <stdio.h>
#include <stdlib.h>

#include "gnuplot_i.h"
#include "vecutils.h"
#include "math.h"


int main(int argc, char *argv[])
{
    gnuplot_ctrl    *   h1; // pointeur de visu

    double *x;
    double *y ;
    int n=50;
    char c;
    double x0[1],y0[1];



    /*
     * Initialisation  de gnuplot
     */
    printf("*** Example de controle de gnuplot en C ***\n") ;
    h1 = gnuplot_init() ;


    // régler les zooms
    gnuplot_cmd(h1, "set xrange [0:5]") ;
    gnuplot_cmd(h1, "set yrange [-1:10]");

    // tracer un point
    gnuplot_setstyle(h1, "points") ;
    x0[0]=1;y0[0]=1;
    gnuplot_plot_xy(h1, x0, y0, 1, "point solution") ;


    // calcul des vecteurs x et y
    x=linspace(0,5,n);// attention à libérer la mémoire pour les vecteurs
    y=vmap(exp,x,n);   // attention à libérer la mémoire pour les vecteurs

    // tracer une courbe
    gnuplot_setstyle(h1, "linespoints") ;
    gnuplot_plot_xy(h1, x, y, n, "exponentielle") ;


    // tracer une équation
    gnuplot_setstyle(h1, "lines") ;
    gnuplot_plot_equation(h1, "(1-x)*(1-x)", "(1-x)^2");

    // nécessaire pour voir la figure
    printf("Appuyer sur entrée pour terminer\n");
    scanf("%c",&c);

    gnuplot_close(h1);

    // libération de la mémoire allouée
    free(x); // attention à libérer la mémoire pour les vecteurs
    free(y);
    return 0 ;
}
